<!--#include file="../inc/conn.htm"-->
<%
ID=trim(request("ID"))
LoginID=session("LoginID")
if LoginID="" then response.end
UserName= trim(session("RealName"))

set rs=server.createobject("adodb.recordset")
sql="select * from tblDoc where ID="& ID
rs.open sql,oConn
if not rs.eof then
	FromID=trim(rs("FromID"))
	CheckIDs=trim(rs("CheckIDs"))
	CheckNames=trim(rs("CheckNames"))
	CheckStepIDs=trim(rs("CheckStepIDs"))
	CheckStepNames=trim(rs("CheckStepNames"))

	inDepartment=trim(rs("inDepartment"))
	inTime=trim(rs("inTime"))
	intoDepartment=trim(rs("intoDepartment"))
	inFromName=trim(rs("inFromName"))
	intoName=trim(rs("intoName"))
	inSerial=trim(rs("inSerial"))
	inTelcode=trim(rs("inTelcode"))
	inRecieved=trim(rs("inRecieved"))

	title=replace(trim(rs("title")),"'","''")
	nClass=trim(rs("Class"))
	if nClass="" then nClass=0
	body=replace(rtrim(rs("body")),"'","''")
	body2=replace(rtrim(rs("body2")),"'","''")
	remark=replace(rtrim(rs("remark")),"'","''")
	attachfile=replace(trim(rs("attachfile")),"'","''")
	OutWord=trim(rs("OutWord"))
	OutSerial=trim(rs("OutSerial"))
	JinjiClass=trim(rs("JinjiClass"))
	SecureClass=trim(rs("SecureClass"))
	SecureTime=trim(rs("SecureTime"))
	Author=trim(rs("Author"))
	OutGoing=trim(rs("OutGoing"))
	PrintDepartment=trim(rs("PrintDepartment"))
	PrintTime=trim(rs("PrintTime"))
	NigaoDepartment=trim(rs("NigaoDepartment"))
	Nigao=trim(rs("Nigao"))
	Printer=trim(rs("Printer"))
	Publish=trim(rs("Publish"))
	Jiaodui=trim(rs("Jiaodui"))
	Copys=trim(rs("Copys"))
	MainTo=trim(rs("MainTo"))
	CopyTo=trim(rs("CopyTo"))
	Title2=trim(rs("Title2"))
	FinishTime=trim(rs("FinishTime"))
	AttachFileBody=trim(rs("AttachFileBody"))
	Recieved=trim(rs("Recieved"))&""
	CurrentStep=trim(rs("CurrentStep"))
	Pigebody=rtrim(rs("pigebody"))&""
	CheckNames=trim(rs("CheckNames"))
	CheckStepNames=trim(rs("CheckStepNames"))
end if
rs.close
set rs=nothing

arrCheckStepNames=split(CheckStepNames,",")
arrCheckNames=split(CheckNames,".")
strHegao=""
for i=0 to ubound(arrCheckStepNames)
	if trim(arrCheckStepNames(i))="审核" then
		strHegao=arrCheckNames(i)
		exit for
	end if
next

if trim(body)<>trim(body2) and trim(body2)<>"" then body=body2
%>
<html>
<head>
<title>公文打印</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/print.css">
</head>
<script src="Popup.js"></script>
<body bgcolor="#FFFFFF" leftmargin=20>

<BR><BR>
<div align=center><b><font color=#FF0000 size=6 style="letter-spacing:6pt">四川省体育局 &nbsp;&nbsp;收文稿纸</font></b>
</div>
<BR>
<table border=0 width="100%">
<tr bgcolor=#FFFFFF>
	<td align=center><font color=red>收文 第   </font> <%=inToName%> <font color=red>   号</font>
	</td>
	<td>
	<%=year(PrintTime)%><font color=red> 年 </font>  <%=month(PrintTime)%><font color=red> 月 </font>   <%=day(PrintTime)%><font color=red> 日 </font></td>
</tr>
<tr><td colspan=2><hr size=1 width="99%" color=red></td></tr>
</table><BR>
<table border=1 bordercolor=#FF0000 cellpadding=0 cellspacing=0 width="100%" bgcolor=#FF0000 >

<tr bgcolor=#FFFFFF height=70>
	<td width="50%" valign=top>&nbsp;<font color=red><b>来文机关：</b></font><BR><BR>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	<%=inDepartment%>
	<BR>
	</td>
	<td width="50%" valign=top>&nbsp;<font color=red><b>来文</b></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	<font color=red>第</font>&nbsp;&nbsp;
	<%=inSerial%>
	&nbsp;&nbsp;<font color=red>号</font>
	<BR><BR>
	<div align=right>
	<%=year(inTime)%><font color=red> 年 </font>  <%=month(inTime)%><font color=red> 月 </font>   <%=day(inTime)%><font color=red> 日 </font></div>
	<BR>
		
</td>
</tr>
<tr bgcolor=#FFFFFF height=80>
	<td width="50%" valign=top>&nbsp;<font color=red><b>标题：</b></font>&nbsp;&nbsp;<%=Title%></td>
	<td valign=top>&nbsp;<font color=red><b>附件：</b></font><BR></td>
</tr>
<tr bgcolor=#FFFFFF height=35>
	<td valign=center colspan=2>&nbsp;<font color=red>（拟稿和批示）</td>
</tr>
<tr bgcolor=#FFFFFF>
	<td valign=top colspan=2 align=center>
	<table border=0 width="100%" cellpadding=3 cellspacing=3><tr><td>
	拟稿：<%=Nigao%>
	</td></tr>
	<tr>
	<td>
	<%
	set rs=server.createobject("adodb.recordset")
	sql="select * from tblDocFinal where DocID="& ID &" order by ID"
	rs.open sql,oConn
	n=0
	while not rs.eof
	n=n+1
	if n mod 2 =0 then
		strColor="#E6F2FF"
	else
		strColor="#FFFFFF"
	end if
		response.write "<table border=0 cellpadding=3 cellspacing=1 width='95%' bgcolor=#FFFFFF bordercolordark=#FFFFFF bordercolorlight=#999999><tr bgcolor="&strColor&"><td>"
		response.write trim(rs("FromName"))&" 在 "&trim(rs("Times"))&" 的批阅："
		response.write "</td></tr><tr bgcolor="&strcolor&"><td>"
		response.write replace(replace(rtrim(rs("body")),chr(13),"<br>")," ","&nbsp;")&"&nbsp;"
		response.write "</td></tr></table><BR>"
	rs.movenext
	wend
	rs.close
	set rs=nothing
	%>
	&nbsp;
	</td>
</tr>
	</table>
	</td>
</tr>
</table>
</div>

<table border=0 width="100%">
<tr id="PrintM">
<td align=right><input type="button" value="打  印" class="font9boldwhite" onclick="SetPrint();"></td></tr>
</table>
<BR><BR>
<table border=0 width="100%">

</body>
</html>
<script language="javascript">
function SetPrint(){
document.all('PrintM').style.display="none";
print();
}
</script>
<!--#include file="../inc/conn_close.htm"-->

<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function


Private function GetSecureClass(byval nClass)
select case trim(nClass)
	case "0"
	GetSecureClass="未定义"
	case "1"
	GetSecureClass="普通"
	case "2"
	GetSecureClass="秘密"
	case "3"
	GetSecureClass="机密"
	case "4"
	GetSecureClass="绝密"
	case else
	GetSecureClass="未定义"
end select
end function
%>